Filetrip Logo


Popsloader V4i for PSP FW 6.61 4i



popsloader v4i (150218) for PSP FW 6.61

Necessary to use popsloader on PSP firmware 6.61- without using this, booting old POPS versions on 6.61 just hardlocks the system on a black screen.

Compatible with Infinity.

Change log (4i):
comments powered by Disqus